#ifndef __MEDIAPLAYER_H__
#define __MEDIAPLAYER_H__


#include <QLabel>
#include <QWidget>


class Button;


class MediaPlayer : public QWidget
{
    Q_OBJECT
public:
    MediaPlayer(QWidget *parent);
    ~MediaPlayer();
    void keyPressEvent(QKeyEvent *ke);
    void keyReleaseEvent(QKeyEvent *ke);
private:
    int indexForKey(int key);
    Button *button[7];
    QLabel *input, *output;
};


#endif

